summaryrefslogtreecommitdiff
path: root/make-dist
diff options
context:
space:
mode:
Diffstat (limited to 'make-dist')
-rwxr-xr-xmake-dist15
1 files changed, 12 insertions, 3 deletions
diff --git a/make-dist b/make-dist
index e454e924480..795cca8ed38 100755
--- a/make-dist
+++ b/make-dist
@@ -53,6 +53,7 @@ default_gzip=gzip
newer=""
with_tests=no
changelog=yes
+verbose=no
while [ $# -gt 0 ]; do
case "$1" in
@@ -108,6 +109,10 @@ while [ $# -gt 0 ]; do
with_tests=yes
;;
+ "--verbose")
+ verbose=yes
+ ;;
+
"--help")
printf '%s\n' "Usage: ${progname} [options]"
echo ""
@@ -122,6 +127,7 @@ while [ $# -gt 0 ]; do
echo " --snapshot same as --clean-up --no-update --tar --no-check"
echo " --tar make a tar file"
echo " --tests include the test/ directory"
+ echo " --verbose noisier output"
echo ""
exit 0
;;
@@ -338,7 +344,7 @@ echo "Creating top directory: '${tempdir}'"
mkdir ${tempdir}
if [ "$changelog" = yes ]; then
- if test -d .git; then
+ if test -e .git; then
echo "Making top-level ChangeLog"
make ChangeLog CHANGELOG=${tempdir}/ChangeLog || \
{ x=$?; echo "make ChangeLog FAILED (try --no-changelog?)" >&2; exit $x; }
@@ -384,7 +390,7 @@ do
## site-lisp for in-place installs (?).
[ "$subdir" = "site-lisp" ] || [ -d "$subdir" ] || \
echo "WARNING: $subdir not found, making anyway"
- echo " ${tempdir}/${subdir}"
+ [ "$verbose" = "yes" ] && echo " ${tempdir}/${subdir}"
mkdir ${tempdir}/${subdir}
done
@@ -630,7 +636,10 @@ if [ "${make_tar}" = yes ]; then
*) gzip_extension= ;;
esac
echo "Creating tar file"
- (cd ${tempparent} ; tar cvf - ${emacsname} ) \
+ taropt=
+ [ "$verbose" = "yes" ] && taropt=v
+
+ (cd ${tempparent} ; tar c${taropt}f - ${emacsname} ) \
| ${default_gzip} \
> ${emacsname}.tar${gzip_extension}
fi